> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/43.-abfrage-fields-abrufen.md).

# 43. Abfrage: „Fields“ abrufen

Abfrage zum Abrufen der Nutzer-„Felder“ mit Filtern nach `Labels`, `farmUuid`, `fieldUuid`, `Feldname`. Die zurückgegebenen Felder sind alphabetisch nach Feldname geordnet.&#x20;

Der Feldfilter funktioniert wie eine UND-Bedingung, z. B. ist es möglich zu filtern nach `farmUuid` und nach `fieldUuid` und nach `Labels` und nach `Feldname` in einer Abfrage oder nur eine Filterbedingung zu verwenden oder keine Bedingung zu verwenden.&#x20;

Filtern nach `Feldname` wirkt als `beginnt_mit`.&#x20;

Um Paginierungslogik zu implementieren, verwenden Sie den Abfrageparameter `Seitengröße`. Es gibt `lastEvaluatedKey` und `Gesamtanzahl` in der Antwort, wobei `lastEvaluatedKey` sich auf den zuletzt verarbeiteten Datensatz bezieht, der der Filterbedingung entspricht, und `Gesamtanzahl` die Gesamtanzahl der Datensätze ist, die den Filterbedingungen entsprechen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Beispiel"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      name
      labels {
        name
        value
      }
      Gesamtanzahl
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/43.-abfrage-fields-abrufen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
